I2C_SMBUS_READ_BLOCK(9)

NAME
i2c_smbus_read_block_data - SMBus “block read” protocol

SYNOPSIS

s32 i2c_smbus_read_block_data(const struct i2c_client * client, u8 command, u8 * values);

ARGUMENTS

client
    Handle to slave device

command
    Byte interpreted by slave

values
    Byte array into which data will be read; big enough to hold the data returned by the slave. SMBus allows at most 32 bytes.

DESCRIPTION

This executes the SMBus “block read” protocol, returning negative errno else the number of data bytes in the slave's response.

Note that using this function requires that the client's adapter support the I2C_FUNC_SMBUS_READ_BLOCK_DATA functionality. Not all adapter drivers support this; its emulation through I2C messaging relies on a specific mechanism (I2C_M_RECV_LEN) which may not be implemented.

COPYRIGHT